#if !defined(AFX_CECSERVERCONFIGDLG_H__2F47DCE3_A331_11D3_93BD_0060084D8878__INCLUDED_)
#define AFX_CECSERVERCONFIGDLG_H__2F47DCE3_A331_11D3_93BD_0060084D8878__INCLUDED_

/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECServerConfigDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CECServerConfigDlg dialog

class CECServerConfigDlg : public CDialog
{
    // Construction
public:
    CECServerConfigDlg(BOOL DataServer ,CWnd* pParent = NULL);   // standard constructor

    BOOL IsTraceOn()
    {
        return m_bTrace;
    };
    BOOL IsNotifyOn()
    {
        return m_bNotify;
    };

    // Dialog Data
    //{{AFX_DATA(CECServerConfigDlg)
    enum { IDD = IDD_CONFIGURE };
    CString m_WorkDir;
    CString m_Host;
    CString m_NameService;
    CString m_Port;
    BOOL    m_bTrace;
    BOOL    m_bNotify;
    //}}AFX_DATA

    BOOL    m_bModified;

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECServerConfigDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CECServerConfigDlg)
    virtual BOOL OnInitDialog();
    virtual void OnOK();
    afx_msg void OnModify();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
    BOOL        m_bRunNamesService;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECSERVERCONFIGDLG_H__2F47DCE3_A331_11D3_93BD_0060084D8878__INCLUDED_)
