#if !defined(AFX_VARGENERALPPAGE_H__649E1723_D8B9_11D3_930B_00104B4B2995__INCLUDED_)
#define AFX_VARGENERALPPAGE_H__649E1723_D8B9_11D3_930B_00104B4B2995__INCLUDED_
/* Copyright (C) 2000 Cyrano SA

   This file is part of OpenSTA

   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.

   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html

   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// VarGeneralPPage.h : header file
//
//

#include <VarStructures.h>
#include "resource.h"
#include "DataNameCtrls.h"

class CVarGeneralPPage : public CPropertyPage
{
    DECLARE_DYNCREATE(CVarGeneralPPage)

// Construction
public:
    CVarGeneralPPage(CVarGeneral * _pVarGeneral=NULL, BOOL _bCreate=TRUE);
    ~CVarGeneralPPage();

    CVarGeneral *   m_pVarGeneral;
// Dialog Data
    //{{AFX_DATA(CVarGeneralPPage)
	enum { IDD = IDD_VAR_GENERAL_PPAGE };
	CEdit	m_ctlSeed;
	CDataNameEdit m_ctlNameEdit;
	CComboBox	m_ctlSource;
	long	m_lSeed;
	//}}AFX_DATA


// Overrides
    // ClassWizard generate virtual function overrides
    //{{AFX_VIRTUAL(CVarGeneralPPage)
	public:
    virtual LRESULT OnWizardBack();
    virtual LRESULT OnWizardNext();
    virtual void Ctrl2Values();
    virtual void Values2Ctrl();
    virtual BOOL Verify();
	virtual BOOL OnWizardFinish();
	virtual BOOL OnSetActive();
	protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
    // Generated message map functions
    //{{AFX_MSG(CVarGeneralPPage)
    virtual BOOL OnInitDialog();
    afx_msg void OnVarOrdSeqRadio();
    afx_msg void OnVarOrdRanRadio();
    afx_msg void OnVarTypIntRadio();
    afx_msg void OnVarTypCharRadio();
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnSelchangeVarSourceCombo();
	afx_msg void OnRepRandom();
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
    BOOL            m_bCreateMode;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VARGENERALPPAGE_H__649E1723_D8B9_11D3_930B_00104B4B2995__INCLUDED_)
