// CORBAInfo.h: interface for the CCORBAInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CORBAINFO_H__41AEA3AD_03D2_453C_87CC_1B42E1017824__INCLUDED_)
#define AFX_CORBAINFO_H__41AEA3AD_03D2_453C_87CC_1B42E1017824__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <OSTAORB\OSTAORB.h>
#include <TestExecuter.h>
#include <TestManager.h>


typedef struct
{
	CString strTaskGroup;
	int nUsers;
} SUMMARY_MAP;
typedef CArray <SUMMARY_MAP, SUMMARY_MAP> SUMMARY_INFO;

class CCORBAInfo  
{
public:
	void GetSummaryInfo(CString strManagerReg, SUMMARY_INFO& arrSummary);
	void GetActiveTests(CStringArray arrTests);
	void StopTest(CString strTest);
	BOOL IsTestActive(CString TestName, CString& strReg);
	CCORBAInfo();
	virtual ~CCORBAInfo();

private:
	CORBAServer* m_pCorba;
};

#endif // !defined(AFX_CORBAINFO_H__41AEA3AD_03D2_453C_87CC_1B42E1017824__INCLUDED_)
