#if !defined(AFX_TIMERLIST_H__30804217_E70F_11D4_94C9_00C04F89E392__INCLUDED_)
#define AFX_TIMERLIST_H__30804217_E70F_11D4_94C9_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TimerList.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTimerList window
#include "HTTPGraphs.h"

class CTimerList : public CListCtrl
{
// Construction
public:
	CTimerList(const TimerList& listTimers);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTimerList)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTimerList();

	// Generated message map functions
protected:
	//{{AFX_MSG(CTimerList)
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnGetdispinfo(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnColumnclick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCsvExport();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

	typedef enum { enTest,enThread,enScript,enTimer,enNumUsers,enElapsed,enDate,enTime} ListColumn;

	CString m_strTemp;
	CArray <Timer*,Timer*> m_arTimers;
	ListColumn m_nSortColumn;
	BOOL m_bReverseSort;
		
	static int CompareTimer(const void*,const void*);
	static ListColumn m_nStaticSortColumn;
	static BOOL m_bStaticReverseSort;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TIMERLIST_H__30804217_E70F_11D4_94C9_00C04F89E392__INCLUDED_)
