#if !defined(AFX_GRAPHWND_H__E10D8B21_E7BD_11D4_94C9_00C04F89E392__INCLUDED_)
#define AFX_GRAPHWND_H__E10D8B21_E7BD_11D4_94C9_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GraphWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGraphWnd window
class CXChartCtrl;
class CGraphTypeBase;
class CCustomizeGraphPage;
class CCustomizeTitlePage;
class CGraphWnd : public CWnd
{
	DECLARE_DYNAMIC(CGraphWnd);

	friend CCustomizeGraphPage;
	friend CCustomizeTitlePage;
// Construction
public:
	CGraphWnd();

// Attributes
public:

// Operations
public:
	CXChartCtrl *m_pChart;
	CGraphTypeBase *m_pGraph;
		
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGraphWnd)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CGraphWnd();
	void SetGraphStyles();

	// Generated message map functions
protected:
	//{{AFX_MSG(CGraphWnd)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnExport();
	afx_msg void OnGraphCustomize();
	afx_msg void OnGraphMenuCommand(UINT nID);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void LoadGraphStyles();
	void SaveGraphStyles();


	//Properties
	BOOL m_bShowTitle;
	CString m_strTitle;
	CString m_strTitleFont;
	COLORREF m_colTitleText;
	COLORREF m_colTitleBk;
    COLORREF m_colPlotBk;
    CString m_strLabelFont;
    COLORREF m_colGrid;
    COLORREF m_colLabel;
    COLORREF m_colAxisText;
	CDWordArray m_arDefLineColours;
	
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GRAPHWND_H__E10D8B21_E7BD_11D4_94C9_00C04F89E392__INCLUDED_)
